ChiliProject - Feature # 299: Plugin API to add plugin to project settings menu

Status: Ready for review Priority: Normal
Author: John Yani Category: Plugin API
Created: 2011-03-20 Assignee:

Updated: 2011-09-02 Due date:

Remote issue URL:
Affected version:
Description: It seems like there is no way to add a per project settings from plugin. Is there?

History

2011-03-20 07:58 am - Felix Schéfer
Other than overriding @ProjectsHelper#project_settings_tabs@ to add your tab, no. | think that would be a candidate for a MenuManager type menu.

2011-03-24 07:50 pm - John Yani

Should | also override ProjectsController.settings method to get some data for my partial view?

Can | add a field to Project model from my plugin? Is there some way to add one to one relationship between my plugin's model and a specific project?
Could be a duplicate of http://www.redmine.org/issues/3686

2011-03-25 03:57 pm - Felix Schafer

John Yani wrote:

> Should | also override ProjectsController.settings method to get some data for my partial view?

Or at least add any data you need by wrapping it.

> Can | add a field to Project model from my plugin? Is there some way to add one to one relationship between my plugin's model and a specific

project?

Yes and yes, but those are "plugin/rails dev 101"s. | think the plugin tutorial and advanced tutorial on redmine.org cover parts of that, if you have
specific questions ask in the forum :-)

2011-03-31 08:06 pm - Ryan Briones
| needed this ASAP so | worked up a patch to do this. It can be found at

https://github.com/ryanbriones/chiliproject/tree/project-settings-menu-manager

| don't know if it's in the proper ChiliProject standards, but I'd be happy to rework it as necessary.

2011-04-01 10:53 pm - Eric Davis
- Category set to Plugin API

- Status changed from Open to Ready for review

2011-05-05 08:17 pm - Felix Schéafer

Ryan Briones wrote:

> | needed this ASAP so | worked up a patch to do this. It can be found at

>

> https://github.com/ryanbriones/chiliproject/tree/project-settings-menu-manager
>

> | don't know if it's in the proper ChiliProject standards, but I'd be happy to rework it as necessary.
Looks OK from a first quick look, mind making a github pull request for that?

2011-05-05 08:19 pm - Ryan Briones
https://github.com/chiliproject/chiliproject/pull/34

Already done!
2011-05-05 08:30 pm - Felix Schéafer

Ryan Briones wrote:
> Already done!

Oh, then I've overlooked it, sorry :-) Just make sure to post the link to the pull request to the corresponding issue, thanks.

2011-05-06 06:33 pm - Eric Davis
Ryan:

Thanks for the pull request. | have two comments | added to it, can you take a look and let me know what you think?

| also opened #382 so we can do something similar to the Admin > Settings page.

2011-08-08 09:03 am - Pedro Algarvio

Could we have this on the next minor release?

2011-09-02 07:58 pm - Andriy Lesyuk

Meanwhile one can use the plugin: http://projects.andriylesyuk.com/projects/redmine-settings
